Bug 58889 - mod_proxy mixes random chars to the backend request (Method GET changes to G{randomchar}ET
Summary: mod_proxy mixes random chars to the backend request (Method GET changes to G{...
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy (show other bugs)
Version: 2.2.23
Hardware: PC All
: P2 blocker (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2016-01-19 09:22 UTC by Michael Fritzsche
Modified: 2018-11-07 21:08 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Fritzsche 2016-01-19 09:22:56 UTC
access.log contains the wrong requests:
???.??.??.??? - - [18/Jan/2016:17:12:11 +0100] "G'ET / HTTP/1.1" 302 302
???.??.??.??? - - [18/Jan/2016:17:12:11 +0100] "\xe8G\x03ET /employee/Main.html HTTP/1.1" 302 -
???.??.??.??? - - [18/Jan/2016:17:12:11 +0100] "7G0ET /employee/login.jsp HTTP/1.1" 200 4834
???.??.??.??? - - [18/Jan/2016:17:12:11 +0100] "\xb1G\xa9ET /employee/css/login/login.css HTTP/1.1" 501 1124
???.??.??.??? - - [18/Jan/2016:17:12:11 +0100] "GMET /MIConfirm/js/confirm.js HTTP/1.1" 501 1104
???.??.??.??? - - [18/Jan/2016:17:12:11 +0100] "G\x1fET /MIConfirm/js/lang.js HTTP/1.1" 501 1104
???.??.??.??? - - [18/Jan/2016:17:12:11 +0100] "GqET /MIConfirm/css/login.css HTTP/1.1" 501 1104
???.??.??.??? - - [18/Jan/2016:17:12:11 +0100] "G;ET /MIConfirm/js/jquery-1.7.1.min.js HTTP/1.1" 501 1104
???.??.??.??? - - [18/Jan/2016:17:12:15 +0100] "GYET /employee/images/product/icon-system-my-phone.png HTTP/1.1" 501 1118
???.??.??.??? - - [18/Jan/2016:17:12:15 +0100] "G\xe3ET /MIConfirm/img/sl-logo.gif HTTP/1.1" 501 1106
???.??.??.??? - - [18/Jan/2016:17:12:15 +0100] "G\xf9ET /favicon.ico HTTP/1.1" 501 1106
???.??.??.??? - - [18/Jan/2016:17:12:19 +0100] "G,ET /employee/css/login/login.css HTTP/1.1" 501 1118
???.??.??.??? - - [18/Jan/2016:17:12:19 +0100] "G\x19ET /MIConfirm/css/login.css HTTP/1.1" 501 1104
???.??.??.??? - - [18/Jan/2016:17:12:22 +0100] "G=ET /employee/login.jsp HTTP/1.1" 200 4834
???.??.??.??? - - [18/Jan/2016:17:12:22 +0100] "\x9fGuET /employee/css/login/login.css HTTP/1.1" 501 1122
???.??.??.??? - - [18/Jan/2016:17:12:22 +0100] "G5ET /MIConfirm/css/login.css HTTP/1.1" 501 1104
???.??.??.??? - - [18/Jan/2016:17:12:22 +0100] "G\x12ET /MIConfirm/js/jquery-1.7.1.min.js HTTP/1.1" 501 1104
???.??.??.??? - - [18/Jan/2016:17:12:22 +0100] "G\x9cET /MIConfirm/js/lang.js HTTP/1.1" 501 1106
???.??.??.??? - - [18/Jan/2016:17:12:22 +0100] "G9ET /MIConfirm/js/confirm.js HTTP/1.1" 501
Comment 1 Micha Lenk 2016-01-20 10:16:04 UTC
Just out of curiosity: Do you have mod_proxy_html in use?
Comment 2 William A. Rowe Jr. 2018-11-07 21:08:35 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.